Fake Subways 0.3 Readme
=======================

This Fake Subway Road Vehicles GRF provides articulated "road" vehicles that are intended to mimic
subway trains running beneath the road surfaces. They show up on the map as "shadows", to give the
appearance of being underground. Each type of vehicle is available in 2-8 carriage consists,
selectable via refit option. (Unfortunately, since they change lengths with refits, they are not
compatible with Auto-refit.)


This NewGRF is available from OTTD's BaNaNaS content downloader; search for "Fake Subways".

It can also be downloaded from the following forum thread: http://www.tt-forums.net/viewtopic.php?f=26&t=62672


Please report any and all bugs/suggestions/comments to that thread.


========
Contents
========

	1. Compatibility
	2. Vehicle List
	3. GRF Features
	4. Parameters in Detail
	5. Known Issues
	6. License
	7. Obtaining Source and Compiling
	8. Credits


----------------
1. Compatibility
----------------

This GRF was generated with NML r2063, and should be compatible with OTTD versions 1.2 and up.

Compatibility with TTDPatch is untested, and is doubtful at best.


Please report any issues that may arise to the forum thread above.


---------------
2. Vehicle List
---------------

Vehicles included in version 0.2:

	-London Underground 1903 "Gate Tube"
	-London Underground 1938 "New Works Tube"
	-London Underground 1967 "Victoria Tube"
	-London Underground 1992 "Adtranz Tube"
	-Futuristic 		2042 "Shinkū-eki" Double-Decker Subway

You may recognize the London Underground stock from the UKRS2 Addon Set, as they share the same sprites and similar specs.
You may recognize the futuristic subway from the Vactrain set, as they have sprites (and name) modified from that set.
[It's not intended to be a vacuum-tube subway, just a regular deep-level tube.]


---------------
3. GRF Features
---------------

Each type of subway is available in 2-8 carriage consists, selectable via refit option. Unfortunately,
since they can change lengths with refits, they are not compatible with Auto-refit.

The subway vehicles show up in CC (2CC for Victoria, Adtranz, and Double-Decker) when visible; when underground you
naturally can't see them.

By default, subways are regular road vehicles, and can be build from regular road depots.
If you set the appropriate parameter, they can instead be trams, and must then be build from tram depots.

The refit cost reflects whether you are adding carriages or taking them away; refitting to a smaller
consist will refund money, whereas adding carriages will cost money.

When displayed on the map, they show up as "shadows", to give the impression that they are underground.
While in the depot view or vehicle information window, however, they show up as fully visible.

All vehicles vary in power, weight, running cost, and overall length based on number of carriages in
the consist. All vehicles have maximum loading/unloading speeds, taking only 2 "ticks" to fully unload
and then fully load.

Somewhat like UKRS engines, the subways have variable running costs. When not moving (speed=0), their
running costs are reduced to 1/4. The default, moving running cost is shown in the purchase menu.

Unlike UKRS Tube trains, all carriages of these subways are powered. Each carriage also has a slightly
higher purchase price and running cost than their UKRS equivalents.

All subways have lower-than-default cargo age periods, meaning they incur late penalties for profits
faster than regular vehicles. This reflects the fact that subway vehicles are more cramped & less
comfortable than other methods of transport. Later subways have less of a penalty than earlier ones,
reflecting advances in passenger comfort such as air conditioning.


-----------------------
4. Parameters in Detail
-----------------------

Parameter 1, "Vehicle capacities", determines whether the subways' capacities reflect seated-only
capacities, or standing room capacities (which are rather much larger).
The default setting is seated + standing-room capacities.

Parameter 2, "Regular RVs or trams", determines whether subways are regular road vehicles or trams.
The default setting is regular road vehicles.


---------------
5. Known Issues
---------------

Currently, due to limitations in OTTD, there are several issues with these "fake" subways.
They include but are not necessarily limited to:

	-Subways can only traverse roads. They cannot go underneath buildings, industries, or anything
	 else (unless employing a normal road tunnel).

	-Subways cannot pass under other surface road vehicles, and can be blocked by them if they are
	 traveling too slowly or are stopped.

	-By default, no additional infrastructure is required to run subways (i.e. you don't need to dig tunnels or
	 lay tracks or anything)*. Regular roads, road depots, and drive-through road stops (subways must use
	 drive-through stops like all other articulated vehicles in OTTD) are all that is required to run subways.
	 To compensate for this, running and purchase costs are higher than their UKRS counterparts.

		- * unless the parameter to make them trams is set, in which case tramways must be built for
			subways to run on.

	-Subways "rise up" like any other RV when going "over" bridges. This looks somewhat silly, but
	 just pretend they're really changing tunnel depth or something right under the bridge.

	-If caught on a level crossing and a train contacts the subway, it will result in a collision, and the
	 subway will be destroyed, as with any other RV impacted on a level crossing.

	-Subways can be ordered to perform a U-turn at virtually any time, and will comply. There apparently
	 are a LOT of tracks under those roads ;)

	-The refitting to add/remove carriages feature introduces an unfortunate side effect: if you have
	 refitted to a larger consist and then go to sell that consist you are NOT refunded the money you
	 spent on the extra carriages -- unless you first "sell" the extra carriages via refit, then you
	 are refunded the full amount you paid -- which introduces yet another side effect, in that
	 the carriages do not lose value over time when you sell them at a later date; they are always
	 "sold" for their full value. Still, I feel these are fairly minor in the grand scheme of things.

	-As with any other road vehicles in OTTD, subways can pass through each other under certain
	 circumstances, most often observable at intersections where two meet in perpendicular directions of
	 travel. This is actually less of an issue for subways as for other RVs, though, as it is easily explained
	 as the subway tunnels being at different depths, something which frequently occurs in real-life subway networks.


However, if one is willing to suspend disbelief a bit, it is the opinion of this author that these fake
subways are really cool and useful!


----------
6. License
----------

This GRF is distributed under the GPL v2 license. See the license.txt file included in the grf bundle,
or click the "License" button in OTTD for more information.


---------------------------------
7. Obtaining Source and Compiling
---------------------------------

If you want to build the .grf from source (and potentially edit it), you'll need:

Requirements:

	NML: http://bundles.openttdcoop.org/nml/

	mcpp (http://mcpp.sourceforge.net/) or similar C-preprocessor (gcc, etc.)

	Modern Internet browser and software to extract .zip files


The .zipped source can be obtained from the same forum thread as the .grf download: http://www.tt-forums.net/viewtopic.php?f=26&t=62672


In order to build the .grf from source, download and extract the source .zip to a working folder, download/put your
downloaded copies of NML (and mcpp, if desired) in that same folder (nmlc.exe and mcpp.exe should be in the same directory as
fakesubways.pnml and the other *.pnml files).

Once you have everything in the same spot, you then invoke the C-preprocessor, exporting a processed .nml file, and compile the .grf using NML.
If you would rather perform the functions manually,execute the following commands:

	To preprocess with mcpp, keeping comments: 	mcpp -C -P fakesubways.pnml fakesubways.nml
	To preprocess with gcc, keeping comments:	gcc -C -E - < fakesubways.pnml > fakesubways.nml

	To compile with nmlc: 						nmlc fakesubways.nml

The included "preprocess and compile.bat" file invokes gcc and nmlc as above (+ a pause at the end to let you see any errors that may have happened).


----------
8. Credits
----------

This GRF was authored by Supercheese.

The excellent sprites for the London Underground vehicles were drawn by oberhümer, are used with permission in this GPLed grf.

The Shinkū-eki double-decker subway sprites are derived from sprites from the Vactrain grf by EmperorJake.

Thanks are extended to the extremely talented PikkaBird, for his wonderful GRFs that inspired many to create their own works, including this one.

Many thanks are additionally extended to FooBar for the NML tutorial, which was immensely helpful when coding this GRF.

Many, many thanks are also extended to the developers of OTTD for creating and maintaining such wonderful free software.
